* {
  box-sizing: border-box;
}

body {
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 1.4;
  margin-top: 44px;
}

.ag-button--active {
  background-color: orange;
}

.ag-button-submit {
  background: HoneyDew;
  border: 1px solid #000;
  border-radius: 4px;
  cursor: pointer;
  display: block;
  margin: 44px auto 0;
  padding: 6px 0;
  width: 110px;
}

.ag-button-submit--hidden {
  display: none;
}

.ag-button-submit--create {
  margin: 1rem auto 0;
  width: 188px;
}

.ag-container {
  margin: 0 auto;
  max-width: 666px;
}

.ag-info {
  font-size: 12px;
  font-style: italic;
  text-align: center;
}

.ag-table {
  font-size: 12px;
  margin-bottom: 2rem;
  margin-top: 2rem;
}

.ag-table td {
  border: none;
  border-collapse: collapse;
  padding: 0;
  text-align: center;
}

.ag-table .ag-table__grid {
  background-color: #ddd;
  padding: 1px 0 0 1px;
  width: 190px; /* 9 x width of label */
}

/* label position adjustment */
.ag-table td:first-child {
  padding-right: 5px;
  text-align: right;
}
.ag-table tr:first-child td:nth-child(2) {
  padding-bottom: 4px;
  text-align: center;
}
.ag-table td:last-child {
  padding-left: 5px;
  text-align: left;
}
.ag-table tr:last-child td:nth-child(2) {
  padding-top: 2px;
  text-align: center;
}

.ag-table__grid:hover label {
  color: orange;
}

input[type=radio] {
  display: none;
}

h3 {
  margin: 0 0 0.5rem 0;
}

label {
  background-color: white;
  border: none;
  color: transparent;
  cursor: pointer;
  display: block;
  float: left;
  font-size: 9px;
  height: 20px;
  line-height: 20px;
  margin: 0 1px 1px 0;
  outline: none;
  padding: 0;
  transition: all 0.3s;
  vertical-align: middle;
  width: 20px;
}

label:hover {
  background: yellowgreen;
}
